curl --request GET \
--url https://api.developer.pixelcut.ai/v1/try-on/job/{jobId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.developer.pixelcut.ai/v1/try-on/job/{jobId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.developer.pixelcut.ai/v1/try-on/job/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"status": "completed",
"result_url": "https://assets.pixelcut.app/public/result/a16646be-91c8-4e3a-b359.jpg",
"error": {
"message": "Job processing failed",
"error_code": "content_filter_error"
}
}{
"error": "File size too large",
"error_code": "file_size_too_large"
}{
"error": "API Token not found",
"error_code": "invalid_auth_token"
}{
"error": "Job not found",
"error_code": "not_found"
}{
"error": "Too many requests",
"error_code": "rate_limit_exceeded"
}Try On Job Status (Beta)
BETA - This endpoint is currently in beta and may change without notice.
Checks the status of a Try On job.
When using the Try On API with wait_for_result set to false, it returns a job ID. This endpoint allows you to check the status of that job and retrieve the final result when processing is complete.
Authorizations
All API requests require a valid api key. Include your token as a HTTP request header in the following format: X-API-Key: skXXXXXXXXXXXXXXXX. You can obtain an api key by signing up for developer access in your Pixelcut account.
Path Parameters
The ID of the job to check
Response
Job status retrieved successfully
The ID of the job
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
The current status of the job
pending, running, completed, failed "completed"
A URL to access the resultant image, only present when status is 'completed'
"https://assets.pixelcut.app/public/result/a16646be-91c8-4e3a-b359.jpg"
Show child attributes
Show child attributes